Package org.eclipse.swt.custom

## Class ST

- java.lang.Object
- - org.eclipse.swt.custom.ST

    public class ST
    extends Object

This class provides access to the public constants provided by `StyledText`.

See Also:
  Sample code and further information

### Field Summary

Fields
`static int` `BULLET_CUSTOM` Bullet style custom draw.
`static int` `BULLET_DOT` Bullet style dot.
`static int` `BULLET_LETTER_LOWER` Bullet style lower case letter.
`static int` `BULLET_LETTER_UPPER` Bullet style upper case letter.
`static int` `BULLET_NUMBER` Bullet style number.
`static int` `BULLET_TEXT` Bullet style text.
`static int` `CaretMoved` The CaretMoved event type (value is 3011).
`static int` `COLUMN_NEXT`
`static int` `COLUMN_PREVIOUS`
`static int` `COPY`
`static int` `CUT`
`static int` `DELETE_NEXT`
`static int` `DELETE_PREVIOUS`
`static int` `DELETE_WORD_NEXT`
`static int` `DELETE_WORD_PREVIOUS`
`static int` `ExtendedModify` The ExtendedModify event type (value is 3000).
`static int` `LINE_DOWN`
`static int` `LINE_END`
`static int` `LINE_START`
`static int` `LINE_UP`
`static int` `LineGetBackground` The LineGetBackground event type (value is 3001).
`static int` `LineGetSegments` The LineGetSegments event type (value is 3007).
`static int` `LineGetStyle` The LineGetStyle event type (value is 3002).
`static int` `PAGE_DOWN`
`static int` `PAGE_UP`
`static int` `PaintObject` The PaintObject event type (value is 3008).
`static int` `PASTE`
`static int` `SELECT_ALL`
`static int` `SELECT_COLUMN_NEXT`
`static int` `SELECT_COLUMN_PREVIOUS`
`static int` `SELECT_LINE_DOWN`
`static int` `SELECT_LINE_END`
`static int` `SELECT_LINE_START`
`static int` `SELECT_LINE_UP`
`static int` `SELECT_PAGE_DOWN`
`static int` `SELECT_PAGE_UP`
`static int` `SELECT_TEXT_END`
`static int` `SELECT_TEXT_START`
`static int` `SELECT_WINDOW_END`
`static int` `SELECT_WINDOW_START`
`static int` `SELECT_WORD_NEXT`
`static int` `SELECT_WORD_PREVIOUS`
`static int` `TEXT_END`
`static int` `TEXT_START`
`static int` `TextChanged` The TextChanged event type (value is 3006).
`static int` `TextChanging` The TextChanging event type (value is 3003).
`static int` `TextSet` The TextSet event type (value is 3004).
`static int` `TOGGLE_BLOCKSELECTION` TEMPORARY CODE - API SUBJECT TO CHANGE Toggle block selection mode
`static int` `TOGGLE_OVERWRITE`
`static int` `VerifyKey` The VerifyKey event type (value is 3005).
`static int` `WINDOW_END`
`static int` `WINDOW_START`
`static int` `WORD_NEXT`
`static int` `WORD_PREVIOUS`
`static int` `WordNext` The WordNext event type (value is 3009).
`static int` `WordPrevious` The WordPrevious event type (value is 3010).

### Constructor Summary

Constructors
`ST()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LINE_UP

    public static final int LINE_UP

See Also:
  Constant Field Values

#### LINE_DOWN

    public static final int LINE_DOWN

See Also:
  Constant Field Values

#### LINE_START

    public static final int LINE_START

See Also:
  Constant Field Values

#### LINE_END

    public static final int LINE_END

See Also:
  Constant Field Values

#### COLUMN_PREVIOUS

    public static final int COLUMN_PREVIOUS

See Also:
  Constant Field Values

#### COLUMN_NEXT

    public static final int COLUMN_NEXT

See Also:
  Constant Field Values

#### PAGE_UP

    public static final int PAGE_UP

See Also:
  Constant Field Values

#### PAGE_DOWN

    public static final int PAGE_DOWN

See Also:
  Constant Field Values

#### WORD_PREVIOUS

    public static final int WORD_PREVIOUS

See Also:
  Constant Field Values

#### WORD_NEXT

    public static final int WORD_NEXT

See Also:
  Constant Field Values

#### TEXT_START

    public static final int TEXT_START

See Also:
  Constant Field Values

#### TEXT_END

    public static final int TEXT_END

See Also:
  Constant Field Values

#### WINDOW_START

    public static final int WINDOW_START

See Also:
  Constant Field Values

#### WINDOW_END

    public static final int WINDOW_END

See Also:
  Constant Field Values

#### SELECT_ALL

    public static final int SELECT_ALL

See Also:
  Constant Field Values

#### SELECT_LINE_UP

    public static final int SELECT_LINE_UP

See Also:
  Constant Field Values

#### SELECT_LINE_DOWN

    public static final int SELECT_LINE_DOWN

See Also:
  Constant Field Values

#### SELECT_LINE_START

    public static final int SELECT_LINE_START

See Also:
  Constant Field Values

#### SELECT_LINE_END

    public static final int SELECT_LINE_END

See Also:
  Constant Field Values

#### SELECT_COLUMN_PREVIOUS

    public static final int SELECT_COLUMN_PREVIOUS

See Also:
  Constant Field Values

#### SELECT_COLUMN_NEXT

    public static final int SELECT_COLUMN_NEXT

See Also:
  Constant Field Values

#### SELECT_PAGE_UP

    public static final int SELECT_PAGE_UP

See Also:
  Constant Field Values

#### SELECT_PAGE_DOWN

    public static final int SELECT_PAGE_DOWN

See Also:
  Constant Field Values

#### SELECT_WORD_PREVIOUS

    public static final int SELECT_WORD_PREVIOUS

See Also:
  Constant Field Values

#### SELECT_WORD_NEXT

    public static final int SELECT_WORD_NEXT

See Also:
  Constant Field Values

#### SELECT_TEXT_START

    public static final int SELECT_TEXT_START

See Also:
  Constant Field Values

#### SELECT_TEXT_END

    public static final int SELECT_TEXT_END

See Also:
  Constant Field Values

#### SELECT_WINDOW_START

    public static final int SELECT_WINDOW_START

See Also:
  Constant Field Values

#### SELECT_WINDOW_END

    public static final int SELECT_WINDOW_END

See Also:
  Constant Field Values

#### CUT

    public static final int CUT

See Also:
  Constant Field Values

#### COPY

    public static final int COPY

See Also:
  Constant Field Values

#### PASTE

    public static final int PASTE

See Also:
  Constant Field Values

#### DELETE_PREVIOUS

    public static final int DELETE_PREVIOUS

See Also:
  Constant Field Values

#### DELETE_NEXT

    public static final int DELETE_NEXT

See Also:
  Constant Field Values

#### DELETE_WORD_PREVIOUS

    public static final int DELETE_WORD_PREVIOUS

See Also:
  Constant Field Values

#### DELETE_WORD_NEXT

    public static final int DELETE_WORD_NEXT

See Also:
  Constant Field Values

#### TOGGLE_OVERWRITE

    public static final int TOGGLE_OVERWRITE

See Also:
  Constant Field Values

#### TOGGLE_BLOCKSELECTION

    public static final int TOGGLE_BLOCKSELECTION

TEMPORARY CODE - API SUBJECT TO CHANGE Toggle block selection mode

Since:
  3.5
See Also:
  Constant Field Values

#### BULLET_DOT

    public static final int BULLET_DOT

Bullet style dot.

Since:
  3.2
See Also:
  `Bullet`, Constant Field Values

#### BULLET_NUMBER

    public static final int BULLET_NUMBER

Bullet style number.

Since:
  3.2
See Also:
  `Bullet`, Constant Field Values

#### BULLET_LETTER_LOWER

    public static final int BULLET_LETTER_LOWER

Bullet style lower case letter.

Since:
  3.2
See Also:
  `Bullet`, Constant Field Values

#### BULLET_LETTER_UPPER

    public static final int BULLET_LETTER_UPPER

Bullet style upper case letter.

Since:
  3.2
See Also:
  `Bullet`, Constant Field Values

#### BULLET_TEXT

    public static final int BULLET_TEXT

Bullet style text.

Since:
  3.2
See Also:
  `Bullet`, Constant Field Values

#### BULLET_CUSTOM

    public static final int BULLET_CUSTOM

Bullet style custom draw.

Since:
  3.2
See Also:
  `StyledText.addPaintObjectListener(PaintObjectListener)`, `StyledText.removePaintObjectListener(PaintObjectListener)`, `Bullet`, Constant Field Values

#### ExtendedModify

    public static final int ExtendedModify

The ExtendedModify event type (value is 3000).

Since:
  3.8
See Also:
  Constant Field Values

#### LineGetBackground

    public static final int LineGetBackground

The LineGetBackground event type (value is 3001).

Since:
  3.8
See Also:
  Constant Field Values

#### LineGetStyle

    public static final int LineGetStyle

The LineGetStyle event type (value is 3002).

Since:
  3.8
See Also:
  Constant Field Values

#### TextChanging

    public static final int TextChanging

The TextChanging event type (value is 3003).

Since:
  3.8
See Also:
  Constant Field Values

#### TextSet

    public static final int TextSet

The TextSet event type (value is 3004).

Since:
  3.8
See Also:
  Constant Field Values

#### VerifyKey

    public static final int VerifyKey

The VerifyKey event type (value is 3005).

Since:
  3.8
See Also:
  Constant Field Values

#### TextChanged

    public static final int TextChanged

The TextChanged event type (value is 3006).

Since:
  3.8
See Also:
  Constant Field Values

#### LineGetSegments

    public static final int LineGetSegments

The LineGetSegments event type (value is 3007).

Since:
  3.8
See Also:
  Constant Field Values

#### PaintObject

    public static final int PaintObject

The PaintObject event type (value is 3008).

Since:
  3.8
See Also:
  Constant Field Values

#### WordNext

    public static final int WordNext

The WordNext event type (value is 3009).

Since:
  3.8
See Also:
  Constant Field Values

#### WordPrevious

    public static final int WordPrevious

The WordPrevious event type (value is 3010).

Since:
  3.8
See Also:
  Constant Field Values

#### CaretMoved

    public static final int CaretMoved

The CaretMoved event type (value is 3011).

Since:
  3.8
See Also:
  Constant Field Values

### Constructor Detail

#### ST

    public ST()